<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<template encoding-version="1.3">
    <description></description>
    <groupId>dacd481b-0178-1000-0ffc-d6d8ede64e55</groupId>
    <name>Section6-A</name>
    <snippet>
        <connections>
            <id>5d9dad58-0966-3d34-0000-000000000000</id>
            <parentGroupId>f2851259-9414-3e83-0000-000000000000</parentGroupId>
            <backPressureDataSizeThreshold>1 GB</backPressureDataSizeThreshold>
            <backPressureObjectThreshold>10000</backPressureObjectThreshold>
            <bends>
                <x>464.0</x>
                <y>216.0</y>
            </bends>
            <destination>
                <groupId>f2851259-9414-3e83-0000-000000000000</groupId>
                <id>b5e44c7d-d098-3e1a-0000-000000000000</id>
                <type>PROCESSOR</type>
            </destination>
            <flowFileExpiration>0 sec</flowFileExpiration>
            <labelIndex>0</labelIndex>
            <loadBalanceCompression>DO_NOT_COMPRESS</loadBalanceCompression>
            <loadBalancePartitionAttribute></loadBalancePartitionAttribute>
            <loadBalanceStatus>LOAD_BALANCE_NOT_CONFIGURED</loadBalanceStatus>
            <loadBalanceStrategy>DO_NOT_LOAD_BALANCE</loadBalanceStrategy>
            <name></name>
            <selectedRelationships>success</selectedRelationships>
            <source>
                <groupId>f2851259-9414-3e83-0000-000000000000</groupId>
                <id>223de991-4460-341d-0000-000000000000</id>
                <type>PROCESSOR</type>
            </source>
            <zIndex>0</zIndex>
        </connections>
        <processors>
            <id>223de991-4460-341d-0000-000000000000</id>
            <parentGroupId>f2851259-9414-3e83-0000-000000000000</parentGroupId>
            <position>
                <x>544.0</x>
                <y>16.0</y>
            </position>
            <bundle>
                <artifact>nifi-standard-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>1</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>File Size</key>
                        <value>
                            <name>File Size</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Batch Size</key>
                        <value>
                            <name>Batch Size</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Data Format</key>
                        <value>
                            <name>Data Format</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Unique FlowFiles</key>
                        <value>
                            <name>Unique FlowFiles</name>
                        </value>
                    </entry>
                    <entry>
                        <key>generate-ff-custom-text</key>
                        <value>
                            <name>generate-ff-custom-text</name>
                        </value>
                    </entry>
                    <entry>
                        <key>character-set</key>
                        <value>
                            <name>character-set</name>
                        </value>
                    </entry>
                    <entry>
                        <key>mime-type</key>
                        <value>
                            <name>mime-type</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>File Size</key>
                        <value>0B</value>
                    </entry>
                    <entry>
                        <key>Batch Size</key>
                        <value>1</value>
                    </entry>
                    <entry>
                        <key>Data Format</key>
                        <value>Text</value>
                    </entry>
                    <entry>
                        <key>Unique FlowFiles</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>generate-ff-custom-text</key>
                    </entry>
                    <entry>
                        <key>character-set</key>
                        <value>UTF-8</value>
                    </entry>
                    <entry>
                        <key>mime-type</key>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>60 sec</schedulingPeriod>
                <schedulingStrategy>TIMER_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>GenerateFlowFile</name>
            <relationships>
                <autoTerminate>false</autoTerminate>
                <name>success</name>
            </relationships>
            <state>RUNNING</state>
            <style/>
            <type>org.apache.nifi.processors.standard.GenerateFlowFile</type>
        </processors>
        <processors>
            <id>b5e44c7d-d098-3e1a-0000-000000000000</id>
            <parentGroupId>f2851259-9414-3e83-0000-000000000000</parentGroupId>
            <position>
                <x>0.0</x>
                <y>0.0</y>
            </position>
            <bundle>
                <artifact>nifi-standard-nar</artifact>
                <group>org.apache.nifi</group>
                <version>1.12.1</version>
            </bundle>
            <config>
                <bulletinLevel>WARN</bulletinLevel>
                <comments></comments>
                <concurrentlySchedulableTaskCount>0</concurrentlySchedulableTaskCount>
                <descriptors>
                    <entry>
                        <key>argumentsStrategy</key>
                        <value>
                            <name>argumentsStrategy</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Command Arguments</key>
                        <value>
                            <name>Command Arguments</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Command Path</key>
                        <value>
                            <name>Command Path</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Ignore STDIN</key>
                        <value>
                            <name>Ignore STDIN</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Working Directory</key>
                        <value>
                            <name>Working Directory</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Argument Delimiter</key>
                        <value>
                            <name>Argument Delimiter</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Output Destination Attribute</key>
                        <value>
                            <name>Output Destination Attribute</name>
                        </value>
                    </entry>
                    <entry>
                        <key>Max Attribute Length</key>
                        <value>
                            <name>Max Attribute Length</name>
                        </value>
                    </entry>
                </descriptors>
                <executionNode>ALL</executionNode>
                <lossTolerant>false</lossTolerant>
                <penaltyDuration>30 sec</penaltyDuration>
                <properties>
                    <entry>
                        <key>argumentsStrategy</key>
                        <value>Command Arguments Property</value>
                    </entry>
                    <entry>
                        <key>Command Arguments</key>
                        <value>/home/nifi/workspace/section6/loadcsv.py;${data_lake};${uuid}</value>
                    </entry>
                    <entry>
                        <key>Command Path</key>
                        <value>python3</value>
                    </entry>
                    <entry>
                        <key>Ignore STDIN</key>
                        <value>false</value>
                    </entry>
                    <entry>
                        <key>Working Directory</key>
                    </entry>
                    <entry>
                        <key>Argument Delimiter</key>
                        <value>;</value>
                    </entry>
                    <entry>
                        <key>Output Destination Attribute</key>
                    </entry>
                    <entry>
                        <key>Max Attribute Length</key>
                        <value>256</value>
                    </entry>
                </properties>
                <runDurationMillis>0</runDurationMillis>
                <schedulingPeriod>0 sec</schedulingPeriod>
                <schedulingStrategy>EVENT_DRIVEN</schedulingStrategy>
                <yieldDuration>1 sec</yieldDuration>
            </config>
            <executionNodeRestricted>false</executionNodeRestricted>
            <name>ExecuteStreamCommand</name>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>nonzero status</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>original</name>
            </relationships>
            <relationships>
                <autoTerminate>true</autoTerminate>
                <name>output stream</name>
            </relationships>
            <state>RUNNING</state>
            <style/>
            <type>org.apache.nifi.processors.standard.ExecuteStreamCommand</type>
        </processors>
    </snippet>
    <timestamp>04/17/2021 16:18:15 UTC</timestamp>
</template>
